Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members Related Pages

# aka2::memberdef< L, T >::_fixed_array Struct Reference

define an array member of fixed-values. More...

`#include <memberdef.h>`

List of all members.

## Public Methods
template<class P, class V> | _fixed_array (const std::string &tagname, const std::string &fixed_value, V P::*m, int minOccurs, int maxOccurs)
template<class P, class V, class VL> | _fixed_array (const std::string &tagname, const std::string &fixed_value, V P::*m, const VL &vl, int minOccurs, int maxOccurs, bool emptiable=false)

## Detailed Description

### template<class L, class T>
struct aka2::memberdef< L, T >::_fixed_array

define an array member of fixed-values.

Fixed value members are implemented as container of a fixed value. Container element should be simpleType.

See also:
  aka2::memberdef::fixed_array

Definition at line 223 of file memberdef.h.

## Constructor & Destructor Documentation

template<class L, class T>
template<class P, class V>
aka2::memberdef< L, T >::_fixed_array::_fixed_array | ( | const std::string & | tagname,
|  | const std::string & | fixed_value,
|  | V P::* | m,
|  | int | minOccurs,
|  | int | maxOccurs
| ) | `[inline]`

  | define a member array of a fixed-value. Parameters:
  tagname | tagname
  fixed_value | fixed value
  m | pointer to array member of value class.
  minOccurs | minOccurs
  maxOccurs | maxOccurs
Definition at line 233 of file memberdef.h.

template<class L, class T>
template<class P, class V, class VL>
aka2::memberdef< L, T >::_fixed_array::_fixed_array | ( | const std::string & | tagname,
|  | const std::string & | fixed_value,
|  | V P::* | m,
|  | const VL & | vl,
|  | int | minOccurs,
|  | int | maxOccurs,
|  | bool | emptiable = false
| ) | `[inline]`

  | define member array of a fixed value. Parameters:
  tagname | tag name
  fixed_value | fixed value
  m | pointer to array member of value class.
  vl | leaf class of V
  minOccurs | minOccurs
  maxOccurs | maxOccurs
  emptiable | allow empty array.
Definition at line 250 of file memberdef.h.

The documentation for this struct was generated from the following file:

- memberdef.h